<ion-header>

  <ion-navbar color="dark">
    <ion-title>home</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>

    <ion-item no-padding text-ewrap no-lines>
        Basic date picker which dont require any plugin.
    </ion-item>
    <ion-item no-padding>
        <ion-label stacked>Select Date</ion-label>
        <ion-datetime displayFormat="DD/MM/YYYY HH:mm" pickerFormat="DD/MM/YYYY HH:mm" placeholder="DD/MM/YYYY HH:mm"></ion-datetime>
    </ion-item>

    <!--from ionic native and requires plugin to install -->
    <ion-item no-padding text-ewrap no-lines>
        Ionic native date picker.
    </ion-item>
    <button ion-button icon-only (click)="datepickerIonic()">
        <ion-icon name="md-calendar"></ion-icon>
    </button>
    <span>{{ ionicDate | date}}</span>
    



    <ion-item no-padding text-ewrap no-lines>
        Date picker using <b>datepicker-ionic2</b>.
    </ion-item>
    <span ion-datepicker (ionChanged)="setDate($event);" [value]="localDate" [min]="localDate" clear class="ScheduleDate">
        <button ion-button icon-only>    
            <ion-icon name="md-calendar" item-left ></ion-icon>
        </button>
        <span>{{localDate | date}} </span>
    </span>


     {{ todo.value | json }}

  <form [formGroup]="todo">
    <ion-item>
      <ion-label floating>Todo</ion-label>
      <ion-input type="text" formControlName="title"></ion-input>
    </ion-item>
	
    <ion-item>
      <ion-label fixed>date1</ion-label>
	  <ion-input formControlName="date1" type="hidden" #input1></ion-input>	 
	  <ion-input type="text" readonly [ngModel]="input1.value | date:'dd/MM/yyyy'" [ngModelOptions]="{standalone: true}"></ion-input>
      <button ion-button icon-only item-end (click)="showDatePicker(input1)">
        <ion-icon name="calendar"></ion-icon>
      </button>
    </ion-item>
	
    <ion-item>
      <ion-label floating>date2</ion-label>
      <ion-input formControlName="date2" type="hidden" #input2></ion-input>	 
	  <ion-input type="text" readonly [ngModel]="input2.value | date:'dd/MM/yyyy'" [ngModelOptions]="{standalone: true}"></ion-input>
      <button ion-button icon-only item-end (click)="showDatePicker(input2)">
        <ion-icon name="calendar"></ion-icon>
      </button>
    </ion-item>


    <button ion-button type="submit" [disabled]="!todo.valid">Submit</button>
</form>

  

</ion-content>
